Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle
Class MuleContextLifecycleManager

    java.lang.Object
      org.mule.lifecycle.AbstractLifecycleManager<MuleContext>
          org.mule.lifecycle.MuleContextLifecycleManager

All Implemented Interfaces:
  MuleContextAware, LifecycleManager

    public class MuleContextLifecycleManager

extends AbstractLifecycleManager<MuleContext>
implements MuleContextAware

This is a specialized class that extends `RegistryLifecycleManager` and will invoke lifecycle on the registry instance for the MuleContext. This class must only be used by the MuleContext.

Field Summary

Fields inherited from class org.mule.lifecycle.AbstractLifecycleManager
`completedPhases, currentPhase, executingPhase, lifecycleManagerId, logger, object, phaseNames, state`

Fields inherited from interface org.mule.api.lifecycle.LifecycleManager
`NOT_IN_LIFECYCLE_PHASE`

Constructor Summary
`MuleContextLifecycleManager()`

Method Summary
`void` | `fireLifecycle(String destinationPhase)` Applies lifecycle phase to a collection of objects.
`protected void` | `invokePhase(String phase, Object object, LifecycleCallback callback)`
`protected void` | `registerTransitions()`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class org.mule.lifecycle.AbstractLifecycleManager
`addDirectTransition, checkPhase, createLifecycleState, getCurrentPhase, getExecutingPhase, getLifecycleObject, getState, isDirectTransition, isDirectTransition, isPhaseComplete, notifyTransition, registerLifecycleCallback, reset, setCurrentPhase, setExecutingPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextLifecycleManager

    public MuleContextLifecycleManager()

Method Detail

### registerTransitions

    protected void registerTransitions()

  Specified by:
    `registerTransitions` in class `AbstractLifecycleManager<MuleContext>`

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### fireLifecycle

    public void fireLifecycle(String destinationPhase)
                       throws LifecycleException

  Description copied from interface: `LifecycleManager`
  Applies lifecycle phase to a collection of objects.

  Specified by:
    `fireLifecycle` in interface `LifecycleManager`
  Overrides:
    `fireLifecycle` in class `AbstractLifecycleManager<MuleContext>`
  Parameters:
    `destinationPhase` - that phase to execute next
  Throws:
    `LifecycleException` - if the phase is not a valid transition of does not exist on this lifecycle manager

### invokePhase

    protected void invokePhase(String phase,
                               Object object,
                               LifecycleCallback callback)
                        throws LifecycleException

  Overrides:
    `invokePhase` in class `AbstractLifecycleManager<MuleContext>`
  Throws:
    `LifecycleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.